/*
 * Copyright (C) 1994-2018 Altair Engineering, Inc.
 * For more information, contact Altair at www.altair.com.
 *
 * This file is part of the PBS Professional ("PBS Pro") software.
 *
 * Open Source License Information:
 *
 * PBS Pro is free software. You can redistribute it and/or modify it under the
 * terms of the GNU Affero General Public License as published by the Free
 * Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PBS Pro is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.
 * See the GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Commercial License Information:
 *
 * For a copy of the commercial license terms and conditions,
 * go to: (http://www.pbspro.com/UserArea/agreement.html)
 * or contact the Altair Legal Department.
 *
 * Altair’s dual-license business model allows companies, individuals, and
 * organizations to create proprietary derivative works of PBS Pro and
 * distribute them - whether embedded or bundled with other software -
 * under a commercial license agreement.
 *
 * Use of Altair’s trademarks, including but not limited to "PBS™",
 * "PBS Professional®", and "PBS Pro™" and Altair’s logos is subject to Altair's
 * trademark licensing policies.
 *
 */
#ifndef _PBS_VERSION_H
#define _PBS_VERSION_H
#ifdef __cplusplus
extern "C" {
#endif

/*
 * The version of this file and the PBS version have no simple correlation.
 *
 */

#ifdef WIN32
#define PBS_BUILD "mach=WIN32:security=:configure_args="
#define PBS_VERSION "@PBS_WIN_VERSION@"
#else
#include <pbs_config.h>

#ifndef PBS_BUILD
#define PBS_BUILD "mach=N/A:security=N/A:configure_args=N/A"
#endif

#ifndef PBS_VERSION
#define PBS_VERSION "19.1.3"
#endif /* PBS_VERSION */

#endif

extern char pbs_version [];
extern char pbs_build [];
extern void execution_mode(int argc, char** argv);
#ifdef __cplusplus
}
#endif
#endif /* _PBS_VERSION_H */
